Qt3 and LSB compliance

Scott Kitterman ubuntu at kitterman.com
Wed Mar 2 17:19:44 UTC 2011

On Wednesday, March 02, 2011 11:53:45 am Martin Pitt wrote:
> Hello all,
> Jonathan Riddell [2011-03-02 16:05 +0000]:
> > It would be good to move Qt 3 from main to universe, it's unmaintained
> > upstream, is a duplication of another library (Qt 4) and is not
> > actively used by anything much.
> *agree*
> > This leaves one dependency, lsb-desktop.  LSB upstream is pretty
> > inactive and doesn't seem to be updating to remove this obsolete
> > library.  Do we care about about LSB to keep Qt 3 in main?
> I take it we'd still need to keep Qt3 around in universe for some
> time. Would it be feasible to move lsb-desktop and lsb to universe as
> well? The only real main dependency of it that I see is the
> "kubuntu-full" task, i. e. it'd just need unseeding.

Since Lucid will be supported longer than Natty, I think it doesn't matter 
much what we do for this cycle.  I think we want to remove it from the archive 
during the next LTS development cycle.  Debian is in the process of 
upgrading/removing rdepends and I don't expect it to be in Wheezy.  Qt3 is 
completely unmaintained upstream and unsupportable.

Scott K

More information about the ubuntu-devel mailing list